Using Latest Apache, PHP, and MySQL Versions with WampDeveloper Pro

WampDeveloper Pro and its components (AMP versions) are completely separate, and you can always use the latest versions of these components from outside – with some slight modifications. You can also provide your own custom builds of Apache and PHP.

WampDeveloper only needs to be able to parse the Apache, PHP, MySQL version information from the folder-name to be able to switch/use that version…

If the AMP version is not officially provided by WampDeveloper, you can download it from another site and place it under a properly named folder:

\WampDeveloper\Versions\<component>\name-version-release-bits-compiler-tag\

* Not all versions are compatible with one-another, some properties must match between AMP builds.

Also, if any *extra* Apache or PHP modules/extensions are used (such as IonCube, XDebug, …), you will need to copy them from a build-compatible provided version and into the new version (or re-download those modules/extensions from their official sites).

Channels

The Channels are defined in file WampDeveloper.xml, and you can modify your copy to add a “PHP7″ channel like so…

<channel name="PHP7" exclude_os="XP, Server 2003">
  <component name="Apache" branch="2.4" compiler="VC14" binary_path="bin\httpd.exe" />
  <component name="Mysql" branch="5.6" compiler="VCX" binary_path="bin\mysqld.exe" />
  <component name="Php" branch="7.0" compiler="VC14" binary_path="php.exe" />
</channel>

MySQL

Link: http://dev.mysql.com/downloads/mysql/5.6.html#downloads

Download: “Other Downloads: Windows (x86, 32-bit), ZIP Archive”.

Then place it as folder –

\WampDeveloper\Versions\Mysql\mysql-5.6.35.0-r1-win32-vcX-standard\

Apache

Link: http://www.apachelounge.com/download/

Download: “httpd-2.4.25-win32-VC14.zip”.

Then place and rename the inside “Apache24″ folder as –

\WampDeveloper\Versions\Apache\apache-2.4.25.0-r1-win32-vc14-apachelounge\

If there are any issues starting Apache, google for “Visual C++ redistributable for Visual Studio 2015″ and install the English 32 bit version.

mod_fcgid.so

If the PHP type you are using is FCGI, Apache has to load mod_fcgid instead of mod_php. mod_fcgid is not part of the standard Apache distribution…

Copy in file mod_fcgid.so from the previous version’s modules\ folder, of the same bits and compiler (e.g., 32 bits, VC14 build) into the new version’s modules\ folder, or Apache will not start and produce error “Cannot load modules/mod_fcgid.so into server: The specified module could not be found.”.

Or download the proper win32 VC14 mod_fcgid.so build from the above apachelounge link.

PHP

Link: http://windows.php.net/download/

VC14 x86 Thread Safe

Download: “php-7.0.15-Win32-VC14-x86.zip”.

Then place as folder –

\WampDeveloper\Versions\Php\php-7.0.15.0-r1-win32-vc14-standard\

VC14 x86 Non Thread Safe

Download: “php-7.0.15-nts-Win32-VC14-x86.zip”.

Then place as folder –

\WampDeveloper\Versions\Php\php-7.0.15.0-r1-win32-vc14-standard-fcgi\

Update Configuration Files for PHP7

Download WampDeveloper PHP7 upgrade files from –
http://www.devside.net/wp-content/uploads/2017/02/WampDeveloper-PHP7-upgrade-files.zip

Replace the updated php-70.ini file in folder –

\WampDeveloper\Config\Php\

Then open php-70.ini in an editor (Notepad will do), and search-replace all instances of these two path strings updated for the drive letter WampDeveloper is on –

D:/WampDeveloper –> C:/WampDeveloper
D:\WampDeveloper –> C:\WampDeveloper

The other 3 updated files (wampd-php7.conf, wampd-php-fcgi.conf, wampd-phpmyadmin.conf) need to also be replaced in \WampDeveloper\Config\Apache\extra\, with the same path changes.

phpmyadmin

You can update phpmyadmin by renaming \WampDeveloper\Tools\phpmyadmin\ to phpmyadmin.old, unzipping new version in its place, and copying in the older version’s config.inc.php file into place.

Depending on its version, you might or might not need to re-install phpmyadmin’s database –

mysql -u root -p
DROP DATABASE phpmyadmin
SOURCE C:/WampDeveloper/Tools/phpMyAdmin/sql/create_tables.sql
exit

(update for drive letter)
(if root has no password set, leave the -p switch out)

Leave a Reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>